# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [9.3.0](https://gitlab.personio-internal.de/personio/platform/highlight-ui/compare/@highlight-ui/theme@9.2.0...@highlight-ui/theme@9.3.0) (2023-01-02)

### Bug Fixes

- migrate focus outline mixins to placeholder
  ([fd6f821](https://gitlab.personio-internal.de/personio/platform/highlight-ui/commit/fd6f821a25ab27c49ac06a2c0450e98492f241d9))
- remove unnecessary mixins export
  ([4a898fa](https://gitlab.personio-internal.de/personio/platform/highlight-ui/commit/4a898faae69e21af8f30c3b4098b0d02add9c650))

### Features

- **theme:** add focusOutline mixin
  ([860d671](https://gitlab.personio-internal.de/personio/platform/highlight-ui/commit/860d671c6a47622770d2bb0a0f0c0a80c947e711))
- updated focus outline color
  ([f27cddd](https://gitlab.personio-internal.de/personio/platform/highlight-ui/commit/f27cddd9d8bee749fe1e205df1bd63cc82f16432))

# Change Log

All notable changes to this project will be documented in this file. See
[Conventional Commits](https://conventionalcommits.org) for commit guidelines.

# [9.2.0](https://gitlab.personio-internal.de/personio/platform/highlight-ui/compare/@highlight-ui/theme@9.1.1...@highlight-ui/theme@9.2.0) (2022-11-17)

### Bug Fixes

- replace all $spacer-\* scss variables with spacing tokens
  ([bcfca32](https://gitlab.personio-internal.de/personio/platform/highlight-ui/commit/bcfca3233623ff8b8a3613b435eb416f137b2a04))

### Features

- **accordion:** add use of border tokens
  ([4da2d4f](https://gitlab.personio-internal.de/personio/platform/highlight-ui/commit/4da2d4ffaad11e6b9e1b149670cd28c81ddf03c3))
- **variables:** removed unused global variables
  ([0add822](https://gitlab.personio-internal.de/personio/platform/highlight-ui/commit/0add822bfe1331ffe5dcd9026abad6f19f2f7227))

## [9.1.1](https://gitlab.personio-internal.de/personio/platform/highlight-ui/compare/@highlight-ui/theme@9.1.0...@highlight-ui/theme@9.1.1) (2022-11-04)

**Note:** Version bump only for package @highlight-ui/theme

# 9.1.0 (2022-11-04)

### Features

- **typography:** add metadata prop
  ([68c3388](https://gitlab.personio-internal.de/personio/platform/highlight-ui/commit/68c3388c2fffb6dcdbc0869faa616187240c9514))

## [9.0.1](https://gitlab.personio-internal.de/personio/platform/highlight-ui/compare/@highlight-ui/theme@9.0.0...@highlight-ui/theme@9.0.1) (2022-07-22)

**Note:** Version bump only for package @highlight-ui/theme

# 9.0.0 (2022-06-20)

- feat(ui-theme)!: remove legacy color tokens
  ([3b7cf36](https://gitlab.personio-internal.de/personio/platform/highlight-ui/commit/3b7cf36e28148d5961aae6485e273b35fb4758fc))

### Styles

- **checkbox:** apply tokens on checkbox
  ([d1d016e](https://gitlab.personio-internal.de/personio/platform/highlight-ui/commit/d1d016e4075beca79d83d77609c3bed5e2f98036))

### BREAKING CHANGES

- The `colors.scss` file has been deleted and the `$theme-colors` variable has
  been removed
- **checkbox:** uses CSS variables

## [8.0.4](https://gitlab.personio-internal.de/personio/platform/highlight-ui/compare/@highlight-ui/theme@8.0.3...@highlight-ui/theme@8.0.4) (2022-04-11)

**Note:** Version bump only for package @highlight-ui/theme

## 8.0.3 (2022-03-28)

### Bug Fixes

- replace google fonts with self-hosted ones
  ([aed2bd8](https://gitlab.personio-internal.de/personio/platform/highlight-ui/commit/aed2bd8224820382b6cac386a3acf3665c724b1b))

## [8.0.2](https://gitlab.personio-internal.de/personio/platform/highlight-ui/compare/@highlight-ui/theme@8.0.1...@highlight-ui/theme@8.0.2) (2021-12-10)

**Note:** Version bump only for package @highlight-ui/theme

## [8.0.1](https://gitlab.personio-internal.de/personio/platform/highlight-ui/compare/@highlight-ui/theme@8.0.0...@highlight-ui/theme@8.0.1) (2021-12-10)

**Note:** Version bump only for package @highlight-ui/theme

# [8.0.0](https://gitlab.personio-internal.de/personio/platform/highlight-ui/compare/@highlight-ui/theme@7.0.0...@highlight-ui/theme@8.0.0) (2021-11-08)

### chore

- **ui-theme:** remove all component-specific variables and mixins
  ([1586e08](https://gitlab.personio-internal.de/personio/platform/highlight-ui/commit/1586e0826c9d9714b231216c987c96ec305b93e5))
- **ui-theme:** remove typography file
  ([b910acf](https://gitlab.personio-internal.de/personio/platform/highlight-ui/commit/b910acfa4283dc48d2988cc280280e9c34f43bbe))

### BREAKING CHANGES

- **ui-theme:** Remove typography file
- **ui-theme:** All mixins and component-specific variables are removed.

# [7.0.0](https://gitlab.personio-internal.de/personio/platform/highlight-ui/compare/@highlight-ui/theme@6.0.0...@highlight-ui/theme@7.0.0) (2021-11-04)

### Styles

- **variables.scss:** changed styles for Dialog component
  ([8b0461c](https://gitlab.personio-internal.de/personio/platform/highlight-ui/commit/8b0461cd1c6491317a338e70e7e9ca19fac8e322))

### BREAKING CHANGES

- **variables.scss:** Some styles for the Dialog footer are deleted

# [6.0.0](https://gitlab.personio-internal.de/personio/platform/highlight-ui/compare/@highlight-ui/theme@5.0.1...@highlight-ui/theme@6.0.0) (2021-11-02)

### Features

- move button theme to button package
  ([da07038](https://gitlab.personio-internal.de/personio/platform/highlight-ui/commit/da07038db3fe319c8d0e59001701d82e97760fb6))

### BREAKING CHANGES

- button variables were removed from the `ui-theme` package and moved to the
  `button` package

## [5.0.1](https://gitlab.personio-internal.de/personio/platform/highlight-ui/compare/@highlight-ui/theme@5.0.0...@highlight-ui/theme@5.0.1) (2021-10-12)

### Bug Fixes

- **input:** make prefix fit its container
  ([73b0f54](https://gitlab.personio-internal.de/personio/platform/highlight-ui/commit/73b0f54e3c9d32e316e9282e982dfa9d1e3ea099))

# [5.0.0](https://gitlab.personio-internal.de/personio/platform/highlight-ui/compare/@highlight-ui/theme@4.2.1...@highlight-ui/theme@5.0.0) (2021-09-23)

### Features

- **dropdownmenu:** update design
  ([cc92643](https://gitlab.personio-internal.de/personio/platform/highlight-ui/commit/cc9264329b18ee49d185d8a493fb36b794e58f2b))

### BREAKING CHANGES

- **dropdownmenu:** update design, stop exporting DropdownMenuHeader

## [4.2.1](https://gitlab.personio-internal.de/personio/platform/highlight-ui/compare/@highlight-ui/theme@4.2.0...@highlight-ui/theme@4.2.1) (2021-09-23)

### Reverts

- **dropdownmenu:** revert the update design
  ([110f382](https://gitlab.personio-internal.de/personio/platform/highlight-ui/commit/110f38258f81e8eb47d96363e8a1dacd4173393a))

# 4.2.0 (2021-09-22)

### Features

- **dropdownmenu:** update design
  ([ea0e694](https://gitlab.personio-internal.de/personio/platform/highlight-ui/commit/ea0e6940e487e566802b6a2cbbe7b9260fe801d0))

## [4.1.2](https://gitlab.personio-internal.de/personio/platform/highlight-ui/compare/@highlight-ui/theme@4.1.1...@highlight-ui/theme@4.1.2) (2021-08-27)

### Bug Fixes

- **button:** use the correct font weight as design
  ([34d6140](https://gitlab.personio-internal.de/personio/platform/highlight-ui/commit/34d6140ba948cd23bfaa6c0d6c553b87450498ed))

## [4.1.1](https://gitlab.personio-internal.de/personio/platform/highlight-ui/compare/@highlight-ui/theme@4.1.0...@highlight-ui/theme@4.1.1) (2021-08-27)

### Bug Fixes

- **button:** correct paddings for normal button and icon button
  ([7379516](https://gitlab.personio-internal.de/personio/platform/highlight-ui/commit/73795162d87d735057a1ae18ab0abd4a70f24a5b))

# 4.1.0 (2021-08-25)

### Features

- **date-time-picker:** add Italian language support
  ([0f68725](https://gitlab.personio-internal.de/personio/platform/highlight-ui/commit/0f6872521822646f2dc080b9e3aa671772f5e3bd))

## [4.0.1](https://gitlab.personio-internal.de/personio/platform/highlight-ui/compare/@highlight-ui/theme@4.0.0...@highlight-ui/theme@4.0.1) (2021-07-08)

**Note:** Version bump only for package @highlight-ui/theme

# [4.0.0](https://gitlab.personio-internal.de/personio/platform/highlight-ui/compare/@highlight-ui/theme@3.0.0...@highlight-ui/theme@4.0.0) (2021-07-06)

### Features

- **toast:** migrate toast component
  ([e4feae3](https://gitlab.personio-internal.de/personio/platform/highlight-ui/commit/e4feae3358837d39582b99cc8eb96026940f4d4e))

### BREAKING CHANGES

- **toast:** The styling is new and it might affect the display on existing
  consumers, specially if they have applied further customizations to their
  toasts. Props to customize the icon were removed.

# 3.0.0 (2021-07-06)

- refactor(theme)!: :boom: rename 'placeholder' occurrences with 'skeleton'
  ([f1a42e7](https://gitlab.personio-internal.de/personio/platform/highlight-ui/commit/f1a42e71afcc9730d9e553177025749ac4027251))

### BREAKING CHANGES

- The placeholder's variables and mix-in were renamed to use the term 'skeleton'

# [2.1.0](https://gitlab.personio-internal.de/personio/platform/highlight-ui/compare/@highlight-ui/theme@2.0.0...@highlight-ui/theme@2.1.0) (2021-06-10)

### Features

- add SCSS source entry points
  ([c153286](https://gitlab.personio-internal.de/personio/platform/highlight-ui/commit/c153286ec94cdf950e7afb48cfd737c6e7306455))

# [2.0.0](https://gitlab.personio-internal.de/personio/platform/highlight-ui/compare/@highlight-ui/theme@1.0.4...@highlight-ui/theme@2.0.0) (2021-05-10)

### Bug Fixes

- :bug: revert padding and loading state
  ([c1f5ffc](https://gitlab.personio-internal.de/personio/platform/highlight-ui/commit/c1f5ffc8bc5c71a805f2d17b5660fb7520bcd295))

### BREAKING CHANGES

- This change reverts previous change to how Buttons look and behave. The
  padding becomes smaller and the loading spinner will replace the label while
  shrinking the button in width.

## [1.0.4](https://gitlab.personio-internal.de/personio/platform/highlight-ui/compare/@highlight-ui/theme@1.0.3...@highlight-ui/theme@1.0.4) (2021-05-10)

**Note:** Version bump only for package @highlight-ui/theme

## 1.0.3 (2021-05-05)

**Note:** Version bump only for package @highlight-ui/theme

## [1.0.2](https://gitlab.personio-internal.de/personio/platform/highlight-ui/compare/@highlight-ui/theme@1.0.1...@highlight-ui/theme@1.0.2) (2021-04-23)

**Note:** Version bump only for package @highlight-ui/theme

## 1.0.1 (2021-04-19)

**Note:** Version bump only for package @highlight-ui/theme
